Bug 1350004 - simultaneous x2go and desktop sessions cause dbus conflicts
Summary: simultaneous x2go and desktop sessions cause dbus conflicts
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: x2goserver
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1375194 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-24 19:04 UTC by Andy Wang
Modified: 2018-05-29 11:52 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-29 11:52:52 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1274700 None None None Never

Internal Trackers: 1274700

Description Andy Wang 2016-06-24 19:04:32 UTC
Description of problem:
When simultaneously logged in on a desktop (in my case using Gnome 3.x on the desktop) and in an x2go session (mate-session) I get extremely weird results.  

Under mate, the login gets a window with an error:
Could not acquire name on session bus
and then takes a long time before logging in and is never quite fully functional.  Attempts to logout will cause the gnome desktop to see the power down popup window.

Under gnome, new window simply fail to open and hang.
Using x2goserver-4.0.1.19-8.fc24.x86_64.

Using a shell script instead of calling mate-session directly in the x2go session and doing this:
#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
/usr/bin/mate-session > /dev/null

(specifically unset DBUS_SESSION_BUS_ADDRESS) appears to solve the problem.

This worked fine prior to Fedora 24

Comment 1 Orion Poplawski 2016-06-24 19:20:01 UTC
Really best to report these upstream if you haven't already.

Comment 2 Andy Wang 2016-06-24 22:29:55 UTC
I'll do that later this evening.  This one in particular I assumed would be more of a distro issue since it seemed to be new for F24 but i wasn't sure.

Comment 3 Orion Poplawski 2016-06-24 22:33:34 UTC
Well, we basically package up what upstream ships, so if it's not working upstream is the best place to fix it.

Comment 4 Andy Wang 2016-06-29 12:49:44 UTC
upstream bug filed:
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046

I did track down what triggered this behavior in f24.  cut and pasted from upstream report:
Doing some digging, it looks like the dbus socket
(/usr/lib/systemd/user/dbus.socket) on fedora 24
(dbus-1.11.2-1.fc24.x86_64) does this:
ExecStartPost=-/usr/bin/systemctl --user set-environment
DBUS_SESSION_BUS_ADDRESS=unix:path=%t/bus

And sets the DBUS_SESSION_BUS_ADDRESS for all logins for your user.

This same workaround appears to be what tigervnc used as their permanent
solution:
https://github.com/TigerVNC/tigervnc/commit/c071e493a093d7ee9a568729dd2e151f5cd3d749

So I think this is the proper solution.

Comment 5 Kevin Fenzi 2016-09-14 22:13:17 UTC
*** Bug 1375194 has been marked as a duplicate of this bug. ***

Comment 6 Eliezer Croitoru 2016-12-06 22:33:38 UTC
I am using mate desktop on Fedora 25 and yet to find the right way to launch a x2go mate session.

Comment 7 Orion Poplawski 2016-12-06 23:42:19 UTC
Eliezer - have you tried x2goserver 4.0.1.20 from updates-testing?

Comment 8 Eliezer Croitoru 2016-12-07 12:37:50 UTC
(In reply to Orion Poplawski from comment #7)
> Eliezer - have you tried x2goserver 4.0.1.20 from updates-testing?

The latest available on Fedora 25 which is probably 4.0.1.20 according:
https://www.rpmfind.net/linux/rpm2html/search.php?query=x2goserver

Comment 9 Eliezer Croitoru 2016-12-07 14:25:59 UTC
(In reply to Orion Poplawski from comment #7)
> Eliezer - have you tried x2goserver 4.0.1.20 from updates-testing?

OK so I got it working this way:
Install a Feadora 25 Workstation(not MATE Compiz), then install x2goserver.
Then create a tiny script named: /usr/bin/start-mate
based on: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046
With the content of:
#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
/usr/bin/mate-session > /dev/null
##END OF FILE

Then used a custom command in the x2go session and it worked.

The important thing is that when I have used the MATE Compiz spin it didn't worked.
I will try to verify if this is what failed the session from working with the above script but it's on my "TODO later" list since it's working on the Workstation now.

Comment 10 Eliezer Croitoru 2016-12-07 22:56:39 UTC
(In reply to Eliezer Croitoru from comment #9)
> (In reply to Orion Poplawski from comment #7)
> > Eliezer - have you tried x2goserver 4.0.1.20 from updates-testing?
> 
> OK so I got it working this way:
> Install a Feadora 25 Workstation(not MATE Compiz), then install x2goserver.
> Then create a tiny script named: /usr/bin/start-mate
> based on: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1046
> With the content of:
> #!/bin/sh
> unset DBUS_SESSION_BUS_ADDRESS
> /usr/bin/mate-session > /dev/null
> ##END OF FILE
> 
> Then used a custom command in the x2go session and it worked.
> 
> The important thing is that when I have used the MATE Compiz spin it didn't
> worked.
> I will try to verify if this is what failed the session from working with
> the above script but it's on my "TODO later" list since it's working on the
> Workstation now.

OK tested with the MATE Compiz spin.
dnf install x2go-server 
systemctl enable sshd
## Created the start-mate script from above.
Rebooted the machine
Ran the pyhoca client and connected using "MATE Desktop" option.
DBUS issue.

Then changed from "MATE Desktop" to custom command with the "start-mate" script.
And git couple "windows" open but not did't work as expected and as happen on the Workstation machine which was added with the "MATE Desktop".
I think it's something with the windows manager.

What I have tried is to install gdm ie "dnf install gdm" and then disable the display-manager.service and enable the gdm.service.
It still didn't helped to resolve the issue.

Maybe it's related to something with the spin being Compiz and I believe that the KDE spin would result in the same thing as the GNOME one.

It will be very nice to find the right way to run x2go on the MATE compiz  spin.
If not then first install a Workstation and them add "MATE Desktop" and the mentioned script.

Comment 11 Fedora End Of Life 2017-07-25 21:16:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 René Genz 2017-07-26 21:01:44 UTC
On Fedora 26 problem can be reproduced with:
x2goserver-4.0.1.20-2.fc26.x86_64
dbus-1.11.14-1.fc26.x86_64

The workaround to start a session (here Xfce) still works:
1. create in home directory of user the file xfce4-session-custom with content:
#!/bin/sh
unset DBUS_SESSION_BUS_ADDRESS
/usr/bin/xfce4-session
2. $ chmod +x xfce4-session-custom 
3. in X2Go client use absolute path to xfce4-session-custom as 'custom desktop' value

Comment 13 Andy Wang 2017-07-27 03:36:22 UTC
Yup still reproducible in f26.  I updated the version of the bug.
The script I'm using is:
#!/bin/sh
unset SESSION_MANAGER
unset DBUS_SESSION_BUS_ADDRESS
exec $1 > ~/.x2go-session.log

which allows me to use it to wrap a call to any desktop session that has this problem.

Comment 14 Fedora End Of Life 2018-05-03 08:39:40 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:52:52 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.